library(stockassessment)
source("src/xforecast.R")
load("run/model.RData")
Fbar<-tail(fbartable(fit),1)[1]

FC<-list()

# SQ all years
set.seed(12345)
FC[[length(FC)+1]] <- xforecast(fit, fval=c(Fbar, Fbar, Fbar, Fbar), processNoiseF=FALSE, label="SQ F all years")

#Zero all years
# SQ then zero
set.seed(12345)
FC[[length(FC)+1]] <- xforecast(fit, fval=c(Fbar,0.000001,0.000001, 0.000001), processNoiseF=FALSE, label="zero all years")


# SQ then zero
set.seed(12345)
FC[[length(FC)+1]] <- xforecast(fit, fval=c(Fbar,Fbar,0.000001, 0.000001), processNoiseF=FALSE, label="SQ F then zero")


#Fmsy
set.seed(12345)
FC[[length(FC)+1]] <- xforecast(fit, fval=c(Fbar,Fbar,0.18, 0.18), processNoiseF=FALSE, label="2023F=2022F then Fmsy")

#Fmsy - 2023 SSB below Btrigger - so Fmsy
set.seed(12345)
FC[[length(FC)+1]] <- xforecast(fit, fval=c(Fbar,Fbar,0.14, 0.14), processNoiseF=FALSE, label="2023F=2022F then Fmsy (reduced based on Btrigger")



save(FC, file="run/forecast.RData")